--- old/build/bash/local.mog	Fri Apr  7 17:30:14 2017
+++ new/build/bash/local.mog	Fri Apr  7 17:30:14 2017
@@ -1,28 +1,22 @@
 #
-# CDDL HEADER START
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
+
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 #
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 <transform dir  path=etc/bash -> set group sys>
 <transform dir  path=usr/share/bash -> set group other>
 license COPYING license=GPL3
--- old/build/ca-bundle/local.mog	Fri Apr  7 17:30:14 2017
+++ new/build/ca-bundle/local.mog	Fri Apr  7 17:30:14 2017
@@ -1,1 +1,20 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
+#
+
 license license license="MPL 1.1/GPL 2.0/LGPL 2.1"
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
--- old/build/libxml2/local.mog	Fri Apr  7 17:30:14 2017
+++ new/build/libxml2/local.mog	Fri Apr  7 17:30:14 2017
@@ -1,2 +1,21 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
+#
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 <transform file path=license$ -> drop>
 license COPYING license=MIT
--- old/build/mozilla-nss-nspr/nspr-local.mog	Fri Apr  7 17:30:14 2017
+++ new/build/mozilla-nss-nspr/nspr-local.mog	Fri Apr  7 17:30:14 2017
@@ -1,28 +1,18 @@
 #
-# CDDL HEADER START
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
+
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 #
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
+
 <transform file path=.*/lib.*\.a$ -> drop>
 <transform dir path=usr/local.* -> drop>
 <transform file path=usr/local.* -> drop>
@@ -29,4 +19,8 @@
 <transform link path=usr/local.* -> drop>
 <transform file path=license$ -> drop>
 
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 license nspr/pkg/solaris/common_files/copyright license="MPL 1.1/GPL 2.0/LGPL 2.1"
--- old/build/mozilla-nss-nspr/nss-local.mog	Fri Apr  7 17:30:14 2017
+++ new/build/mozilla-nss-nspr/nss-local.mog	Fri Apr  7 17:30:14 2017
@@ -1,28 +1,18 @@
 #
-# CDDL HEADER START
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
+
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 #
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
+
 <transform file path=.*/lib.*\.a$ -> drop>
 <transform dir path=usr/local.* -> drop>
 <transform file path=usr/local.* -> drop>
@@ -29,4 +19,8 @@
 <transform link path=usr/local.* -> drop>
 <transform file path=license$ -> drop>
 
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 license nss/pkg/solaris/common_files/copyright license="MPL 2.0"
--- old/build/openssh/local.mog	Fri Apr  7 17:30:14 2017
+++ new/build/openssh/local.mog	Fri Apr  7 17:30:14 2017
@@ -1,2 +1,21 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
+#
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 license LICENCE license=OpenSSH
 <transform dir path=etc/ssh -> set group sys>
--- old/build/openssh/server.mog	Fri Apr  7 17:30:15 2017
+++ new/build/openssh/server.mog	Fri Apr  7 17:30:15 2017
@@ -1,3 +1,22 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
+#
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 group groupname=sshd gid=92
 user ftpuser=false gcos-field="OpenSSH privsep user" group=sshd login-shell=/bin/false password=NP uid=92 username=sshd home-dir=/var/empty
 <transform file path=etc/ssh/moduli -> set preserve true>
--- old/build/openssl/local.mog	Fri Apr  7 17:30:15 2017
+++ new/build/openssl/local.mog	Fri Apr  7 17:30:15 2017
@@ -1,27 +1,24 @@
-# CDDL HEADER START
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+
 #
-# CDDL HEADER END
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 #
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
+
 <transform dir path=usr/ssl/man/.* -> edit path usr/ssl/man usr/share/man>
 <transform file path=usr/ssl/man/.* -> edit path usr/ssl/man usr/share/man>
 <transform link path=usr/ssl/man/.* -> edit path usr/ssl/man usr/share/man>
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 license LICENSE license=OpenSSL
--- old/build/perl/local.mog	Fri Apr  7 17:30:15 2017
+++ new/build/perl/local.mog	Fri Apr  7 17:30:15 2017
@@ -1,26 +1,20 @@
 #
-# CDDL HEADER START
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
+
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 #
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 license Artistic license=Artistic
--- old/build/python27/local.mog	Fri Apr  7 17:30:15 2017
+++ new/build/python27/local.mog	Fri Apr  7 17:30:15 2017
@@ -1,6 +1,25 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
+#
+
 <transform file path=license$ -> drop>
 license license license=PSF
 
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 # Prevents pkgdepend from freaking out.
 
 <transform file path=usr/bin/amd64/smtpd.py -> set pkg.depend.bypass-generate .*>
--- old/build/tcsh/local.mog	Fri Apr  7 17:30:15 2017
+++ new/build/tcsh/local.mog	Fri Apr  7 17:30:15 2017
@@ -1,1 +1,20 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
+#
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 license Copyright license=BSD
--- old/build/zsh/local.mog	Fri Apr  7 17:30:15 2017
+++ new/build/zsh/local.mog	Fri Apr  7 17:30:15 2017
@@ -1,27 +1,21 @@
 #
-# CDDL HEADER START
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
+
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+# Copyright 2017 OmniTI Computer Consulting, Inc.  All rights reserved.
 #
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
+
+# We want linked-image zones to update this at the same time global does.
+<transform set name=pkg.fmri -> emit depend fmri=feature/package/dependency/self type=parent variant.opensolaris.zone=nonglobal>
+<transform set name=pkg.fmri -> emit set name=variant.opensolaris.zone value=global value=nonglobal>
+
 link path=/etc/zprofile target=profile
 license LICENSE license=zsh.license
